Paytrie Developer Documentation
API ReferenceUsers

Verify a phone verification code

View as Markdown
POST
/users/me/phone/verify

Confirms the code sent by POST /users/me/phone/send-verification. Conflicts with 409 when the code was correct but the number is already verified on another account, leaving the caller free to submit a different number.

Authorization

ApiKeyAuth BearerAuth
x-api-key<token>

API key for integrator authentication

In: header

AuthorizationBearer <token>

JWT token for user authentication

In: header

Header Parameters

x-api-key*string

API key for authentication

Authorization*string

JWT token from login endpoints

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.verifyPhone({  code: "1234"})
Empty
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}